Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 3622)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3622 2018-12-12 09:52:53Z schwenkel
 ! Important bugfix in case of restart runs.
 ! 
@@ -185,11 +188,4 @@
 
     USE arrays_3d,                                                             &
-#if defined (__nopointer)
-        ONLY:  ddzu, diss, dzu, dzw, hyp, hyrho,                               &
-               nc,                   nc_p, nr,                   nr_p,         &
-               precipitation_amount, prr, pt, d_exner, pt_init, q, ql,         &
-               qc,                   qc_p, qr,                   qr_p,         &
-               exner, zu, tnc_m, tnr_m, tqc_m, tqr_m
-#else
         ONLY:  ddzu, diss, dzu, dzw, hyp, hyrho,                               &
                nc, nc_1, nc_2, nc_3, nc_p, nr, nr_1, nr_2, nr_3, nr_p,         &
@@ -197,5 +193,4 @@
                qc, qc_1, qc_2, qc_3, qc_p, qr, qr_1, qr_2, qr_3, qr_p,         &
                exner, zu, tnc_m, tnr_m, tqc_m, tqr_m
-#endif
 
     USE averaging,                                                             &
@@ -824,19 +819,11 @@
        INTEGER(iwp) ::  k !<
 !
-!--          Liquid water content
-#if defined( __nopointer )
-       ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
+!--    Liquid water content
        ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
 
 !
 !--    3D-cloud water content
        IF ( .NOT. microphysics_morrison )  THEN
-#if defined( __nopointer )
-          ALLOCATE( qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE( qc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
        ENDIF
 !
@@ -851,12 +838,4 @@
 !
 !--       3D-cloud drop water content, cloud drop concentration arrays
-#if defined( __nopointer )
-          ALLOCATE( nc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    nc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    qc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    tnc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
-                    tqc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE( nc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     nc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
@@ -865,5 +844,4 @@
                     qc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     qc_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
        ENDIF
 
@@ -871,12 +849,4 @@
 !
 !--       3D-rain water content, rain drop concentration arrays
-#if defined( __nopointer )
-          ALLOCATE( nr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    nr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    qr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    qr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    tnr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
-                    tqr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE( nr_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     nr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
@@ -885,8 +855,6 @@
                     qr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     qr_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
        ENDIF
 
-#if ! defined( __nopointer )
 !
 !--    Initial assignment of the pointers
@@ -903,5 +871,4 @@
           nr => nr_1;  nr_p  => nr_2;  tnr_m  => nr_3
        ENDIF
-#endif
 
 
@@ -1032,14 +999,4 @@
        IF ( bulk_cloud_model )  THEN
 
-#if defined( __nopointer )
-          IF ( microphysics_morrison )  THEN
-             qc = qc_p
-             nc = nc_p
-          ENDIF
-          IF ( microphysics_seifert )  THEN
-             qr = qr_p
-             nr = nr_p
-          ENDIF
-#else
           SELECT CASE ( mod_count )
 
@@ -1067,5 +1024,4 @@
 
           END SELECT
-#endif
 
        ENDIF
